from django.core.management.base import BaseCommand

from ...models import Calendar


class Command(BaseCommand):
    def handle(self, *args, **options):
        self.stdout.write("Updating calendars...")
        for cal in Calendar.objects.all():
            self.stdout.write(f"\n@ {cal.url}")
            try:
                cal.update_source()
                self.stdout.write("+ ok")
            except Exception as e:
                # TODO logging
                self.stdout.write("- failed")
                self.stdout.write(str(e))

        self.stdout.write("\nUpdating calendars finished!")
