# Generated by Django 3.1.2 on 2020-11-27 09:39

import django.db.models.deletion
import wagtail.contrib.table_block.blocks
import wagtail.core.blocks
import wagtail.core.fields
import wagtail.documents.blocks
import wagtail.images.blocks
import wagtailmetadata.models
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ("wagtailcore", "0052_pagelogentry"),
        ("wagtailimages", "0022_uploadedimage"),
    ]

    operations = [
        migrations.CreateModel(
            name="PdpHomePage",
            fields=[
                (
                    "page_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        serialize=False,
                        to="wagtailcore.page",
                    ),
                ),
                (
                    "content",
                    wagtail.core.fields.StreamField(
                        [
                            (
                                "title",
                                wagtail.core.blocks.CharBlock(
                                    group="nadpisy",
                                    icon="title",
                                    label="nadpis",
                                    template="uniweb/blocks/title.html",
                                ),
                            ),
                            (
                                "advanced_title",
                                wagtail.core.blocks.StructBlock(
                                    [
                                        (
                                            "align",
                                            wagtail.core.blocks.ChoiceBlock(
                                                choices=[
                                                    ("left", "vlevo"),
                                                    ("center", "uprostřed"),
                                                    ("right", "vpravo"),
                                                ],
                                                label="zarovnání",
                                            ),
                                        ),
                                        (
                                            "color",
                                            wagtail.core.blocks.ChoiceBlock(
                                                choices=[
                                                    ("black_on_white", "černá na bílé"),
                                                    ("white_on_black", "bílá na černé"),
                                                    ("white_on_blue", "bílá na modré"),
                                                    (
                                                        "white_on_cyan",
                                                        "bílá na tyrkysové",
                                                    ),
                                                    (
                                                        "white_on_violet",
                                                        "bílá na fialové",
                                                    ),
                                                ],
                                                label="barva",
                                            ),
                                        ),
                                        (
                                            "title",
                                            wagtail.core.blocks.CharBlock(
                                                label="nadpis"
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "picture_title",
                                wagtail.core.blocks.StructBlock(
                                    [
                                        (
                                            "color",
                                            wagtail.core.blocks.ChoiceBlock(
                                                choices=[
                                                    ("black_on_white", "černá na bílé"),
                                                    ("white_on_black", "bílá na černé"),
                                                    ("white_on_blue", "bílá na modré"),
                                                    (
                                                        "white_on_cyan",
                                                        "bílá na tyrkysové",
                                                    ),
                                                    (
                                                        "white_on_violet",
                                                        "bílá na fialové",
                                                    ),
                                                ],
                                                label="barva",
                                            ),
                                        ),
                                        (
                                            "title",
                                            wagtail.core.blocks.CharBlock(
                                                label="nadpis"
                                            ),
                                        ),
                                        (
                                            "picture",
                                            wagtail.images.blocks.ImageChooserBlock(
                                                help_text="rozměr na výšku 75px nebo více (obrázek bude zmenšen na výšku 75px)",
                                                label="obrázek",
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "text",
                                wagtail.core.blocks.RichTextBlock(
                                    features=[
                                        "h2",
                                        "h3",
                                        "h4",
                                        "h5",
                                        "bold",
                                        "italic",
                                        "ol",
                                        "ul",
                                        "hr",
                                        "link",
                                        "document-link",
                                        "image",
                                        "superscript",
                                        "subscript",
                                        "strikethrough",
                                        "blockquote",
                                    ],
                                    group="texty",
                                    label="text",
                                    template="uniweb/blocks/text.html",
                                ),
                            ),
                            (
                                "advanced_text",
                                wagtail.core.blocks.StructBlock(
                                    [
                                        (
                                            "align",
                                            wagtail.core.blocks.ChoiceBlock(
                                                choices=[
                                                    ("left", "vlevo"),
                                                    ("center", "uprostřed"),
                                                    ("right", "vpravo"),
                                                ],
                                                label="zarovnání",
                                            ),
                                        ),
                                        (
                                            "color",
                                            wagtail.core.blocks.ChoiceBlock(
                                                choices=[
                                                    ("black_on_white", "černá na bílé"),
                                                    ("white_on_black", "bílá na černé"),
                                                    ("white_on_blue", "bílá na modré"),
                                                    (
                                                        "white_on_cyan",
                                                        "bílá na tyrkysové",
                                                    ),
                                                    (
                                                        "white_on_violet",
                                                        "bílá na fialové",
                                                    ),
                                                ],
                                                label="barva",
                                            ),
                                        ),
                                        (
                                            "text",
                                            wagtail.core.blocks.RichTextBlock(
                                                features=[
                                                    "h2",
                                                    "h3",
                                                    "h4",
                                                    "h5",
                                                    "bold",
                                                    "italic",
                                                    "ol",
                                                    "ul",
                                                    "hr",
                                                    "link",
                                                    "document-link",
                                                    "image",
                                                    "superscript",
                                                    "subscript",
                                                    "strikethrough",
                                                    "blockquote",
                                                ],
                                                label="text",
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "text_columns",
                                wagtail.core.blocks.StructBlock(
                                    [
                                        (
                                            "left_text",
                                            wagtail.core.blocks.RichTextBlock(
                                                features=[
                                                    "h2",
                                                    "h3",
                                                    "h4",
                                                    "h5",
                                                    "bold",
                                                    "italic",
                                                    "ol",
                                                    "ul",
                                                    "hr",
                                                    "link",
                                                    "document-link",
                                                    "image",
                                                    "superscript",
                                                    "subscript",
                                                    "strikethrough",
                                                    "blockquote",
                                                ],
                                                label="levý sloupec",
                                            ),
                                        ),
                                        (
                                            "right_text",
                                            wagtail.core.blocks.RichTextBlock(
                                                features=[
                                                    "h2",
                                                    "h3",
                                                    "h4",
                                                    "h5",
                                                    "bold",
                                                    "italic",
                                                    "ol",
                                                    "ul",
                                                    "hr",
                                                    "link",
                                                    "document-link",
                                                    "image",
                                                    "superscript",
                                                    "subscript",
                                                    "strikethrough",
                                                    "blockquote",
                                                ],
                                                label="pravý sloupec",
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "advanced_text_columns",
                                wagtail.core.blocks.StructBlock(
                                    [
                                        (
                                            "align",
                                            wagtail.core.blocks.ChoiceBlock(
                                                choices=[
                                                    ("left", "vlevo"),
                                                    ("center", "uprostřed"),
                                                    ("right", "vpravo"),
                                                ],
                                                label="zarovnání",
                                            ),
                                        ),
                                        (
                                            "color",
                                            wagtail.core.blocks.ChoiceBlock(
                                                choices=[
                                                    ("black_on_white", "černá na bílé"),
                                                    ("white_on_black", "bílá na černé"),
                                                    ("white_on_blue", "bílá na modré"),
                                                    (
                                                        "white_on_cyan",
                                                        "bílá na tyrkysové",
                                                    ),
                                                    (
                                                        "white_on_violet",
                                                        "bílá na fialové",
                                                    ),
                                                ],
                                                label="barva",
                                            ),
                                        ),
                                        (
                                            "left_text",
                                            wagtail.core.blocks.RichTextBlock(
                                                features=[
                                                    "h2",
                                                    "h3",
                                                    "h4",
                                                    "h5",
                                                    "bold",
                                                    "italic",
                                                    "ol",
                                                    "ul",
                                                    "hr",
                                                    "link",
                                                    "document-link",
                                                    "image",
                                                    "superscript",
                                                    "subscript",
                                                    "strikethrough",
                                                    "blockquote",
                                                ],
                                                label="levý sloupec",
                                            ),
                                        ),
                                        (
                                            "right_text",
                                            wagtail.core.blocks.RichTextBlock(
                                                features=[
                                                    "h2",
                                                    "h3",
                                                    "h4",
                                                    "h5",
                                                    "bold",
                                                    "italic",
                                                    "ol",
                                                    "ul",
                                                    "hr",
                                                    "link",
                                                    "document-link",
                                                    "image",
                                                    "superscript",
                                                    "subscript",
                                                    "strikethrough",
                                                    "blockquote",
                                                ],
                                                label="pravý sloupec",
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "gallery",
                                wagtail.core.blocks.ListBlock(
                                    wagtail.images.blocks.ImageChooserBlock(
                                        label="obrázek"
                                    ),
                                    group="ostatní",
                                    icon="image",
                                    label="galerie",
                                    template="uniweb/blocks/gallery.html",
                                ),
                            ),
                            (
                                "picture_list",
                                wagtail.core.blocks.StructBlock(
                                    [
                                        (
                                            "color",
                                            wagtail.core.blocks.ChoiceBlock(
                                                choices=[
                                                    ("black_on_white", "černá na bílé"),
                                                    ("white_on_black", "bílá na černé"),
                                                    ("white_on_blue", "bílá na modré"),
                                                    (
                                                        "white_on_cyan",
                                                        "bílá na tyrkysové",
                                                    ),
                                                    (
                                                        "white_on_violet",
                                                        "bílá na fialové",
                                                    ),
                                                ],
                                                label="barva",
                                            ),
                                        ),
                                        (
                                            "items",
                                            wagtail.core.blocks.ListBlock(
                                                wagtail.core.blocks.RichTextBlock(
                                                    features=[
                                                        "h2",
                                                        "h3",
                                                        "h4",
                                                        "h5",
                                                        "bold",
                                                        "italic",
                                                        "ol",
                                                        "ul",
                                                        "hr",
                                                        "link",
                                                        "document-link",
                                                        "image",
                                                        "superscript",
                                                        "subscript",
                                                        "strikethrough",
                                                        "blockquote",
                                                    ],
                                                    label="odstavec",
                                                ),
                                                label="odstavce",
                                            ),
                                        ),
                                        (
                                            "picture",
                                            wagtail.images.blocks.ImageChooserBlock(
                                                help_text="rozměr 25x25px nebo více (obrázek bude zmenšen na 25x25px)",
                                                label="obrázek",
                                            ),
                                        ),
                                    ]
                                ),
                            ),
                            (
                                "table",
                                wagtail.contrib.table_block.blocks.TableBlock(
                                    group="ostatní",
                                    label="tabulka",
                                    template="uniweb/blocks/table.html",
                                ),
                            ),
                            (
                                "jupyter",
                                wagtail.documents.blocks.DocumentChooserBlock(
                                    group="ostatní", label="Jupyter notebook"
                                ),
                            ),
                        ],
                        blank=True,
                        verbose_name="obsah stránky",
                    ),
                ),
                (
                    "matomo_id",
                    models.IntegerField(
                        blank=True,
                        null=True,
                        verbose_name="Matomo ID pro sledování návštěvnosti",
                    ),
                ),
                (
                    "top_menu",
                    wagtail.core.fields.StreamField(
                        [
                            (
                                "item",
                                wagtail.core.blocks.StructBlock(
                                    [
                                        (
                                            "name",
                                            wagtail.core.blocks.CharBlock(
                                                label="název"
                                            ),
                                        ),
                                        (
                                            "page",
                                            wagtail.core.blocks.PageChooserBlock(
                                                label="stránka",
                                                page_type=[
                                                    "uniweb.UniwebHomePage",
                                                    "uniweb.UniwebFlexiblePage",
                                                ],
                                            ),
                                        ),
                                    ]
                                ),
                            )
                        ],
                        blank=True,
                        verbose_name="horní menu",
                    ),
                ),
                (
                    "search_image",
                    models.ForeignKey(
                        blank=True,
                        null=True,
                        on_delete=django.db.models.deletion.SET_NULL,
                        related_name="+",
                        to="wagtailimages.image",
                        verbose_name="Search image",
                    ),
                ),
            ],
            options={
                "verbose_name": "Pirátská datová platforma",
            },
            bases=(
                "wagtailcore.page",
                wagtailmetadata.models.MetadataMixin,
                models.Model,
            ),
        ),
    ]
